%define upstream_name    HTML-Tidy
%define upstream_version 1.54

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5
Summary: 	Web validation in a Perl object
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     html-tidy-silence-warnings.patch

BuildRequires:	perl-devel
BuildRequires:	tidyp-devel


%description
HTML::Tidy is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user looking to
migrate, see the section "Converting from HTML::Lint".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p1 -b .no_warnings

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# currently broken
rm -f t/venus.t
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README.markdown META.yml
%{perl_vendorarch}/HTML
%{perl_vendorarch}/auto/HTML
%{_mandir}/*/*
%{_bindir}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.540.0-5.mga3
+ Revision: 368161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + shlomif <shlomif>
    - Actually add the patch.
      From here: https://github.com/petdance/html-tidy/issues/7 .
    - Add a patch to silence warnings.
    - Removed trailing whitespace.

* Wed May 30 2012 jquelin <jquelin> 1.540.0-3.mga3
+ Revision: 250771
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.540.0-2.mga2
+ Revision: 104668
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.540.0-1.mga1
+ Revision: 30513
- mageia rebuild
- imported package perl-HTML-Tidy

